include ../Makefile.rules

OBJBASE = config.o \
      system.o \
      vector.o \
      memoryleak.o \
      utf8.o

OBJ = $(OBJBASE)
SRC = $(OBJ:%.o=%.c)

all: libbase.a

libbase.a: $(OBJ)
	$(AR) rcs libbase.a $(OBJ)

dep: $(SRC)
	$(CC) -MM $(SRC) $(CFLAGS) > $(DEPENDFILE)

clean:
	rm -rf *.o
	rm -rf *.a
	rm -rf *~
	rm -rf $(DEPENDFILE)

-include $(DEPENDFILE)

